Package uk.ac.starlink.topcat

## Class JELActivator

- java.lang.Object
- - uk.ac.starlink.topcat.JELActivator

- All Implemented Interfaces:
    `Activator`

      public class JELActivator
      extends java.lang.Object
      implements Activator

  Activator which evaluates a given JEL expression per row on activation.
  Since:
    20 Aug 2004
  Author:
    Mark Taylor (Starlink)

- - ### Field Summary

    - ### Fields inherited from interface uk.ac.starlink.topcat.Activator

      `NOP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JELActivator​(TopcatModel tcModel, java.lang.String expression)` | Constructs a new activator given an algebraic expression.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `activateRow​(long lrow)` | Invokes some kind of action on row indicated by a given index.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JELActivator

          public JELActivator​(TopcatModel tcModel,
                              java.lang.String expression)
                       throws gnu.jel.CompilationException

      Constructs a new activator given an algebraic expression.
      Parameters:
        `tcModel` - expression evaluation context
        `expression` - string for JEL evaluation at each row
      Throws:
        `gnu.jel.CompilationException` - if `expression` is bad

  - ### Method Detail

    - #### activateRow

          public java.lang.String activateRow​(long lrow)

      Description copied from interface: `Activator`
      Invokes some kind of action on row indicated by a given index. If the return value is non-null it is treated as some kind of message which may be conveyed to the user.
      Specified by:
        `activateRow` in interface `Activator`
      Parameters:
        `lrow` - row index to activate
      Returns:
        true iff the activation was successful

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.